/*ROOT*/
:root {
  --primary: #e4ebf7;
  --bg: #073b75;
  --accent: #97e559;
  --button: var(--bg);
}

/*FONTS*/
@font-face {
  font-family: "Inkfree";
  src: url("../fonts/Inkfree.ttf");
}
@font-face {
  font-family: "Inter";
  src: url("../fonts/Inter-Light.ttf");
}
/*GENERAL*/
body {
  font-family: Inter;
  font-size: 0.9rem;
}
h1 {
  color: var(--bg);
}
h2 {
  color: var(--bg);
}
p {
  max-width: 40rem;
}
.button {
  text-decoration: none;
  text-align: center;
  color: var(--primary);
  background: var(--button);
  margin: 0 auto 0.5rem auto;
  padding: 0.5rem 1rem;
  border-radius: 10px;
  border: none;
  cursor: pointer;
}

/*HEADER*/
.content {
  display: grid;
  grid-template-columns: 3fr 1fr;
  color: var(--primary);
  background: var(--bg);
  padding: 1rem 0;
}
.content a {
  text-decoration: none;
  color: var(--primary);
}
.content a:hover {
  color: var(--accent);
}
.content li {
  list-style: none;
}
.content ul {
  padding-left: 1rem;
  margin: 0;
}
/* #menu {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr 2fr;
  align-items: center;
  margin-left: auto;
  background-color: inherit;
  border: 0;
  color: inherit;
  align-items: center;
} */
#menu {
  display: flex;
  gap: 1rem;
  background-color: inherit;
  border: 0;
  color: inherit;
  align-items: center;
}
#menu .icon span {
  display: block;
  background: var(--primary);
  margin: 2px;
  width: 1rem;
  height: 2px;
  border-radius: 0.2rem;
  transition: transform 0.2s ease-in-out;
}

#menu[aria-expanded="false"] + nav {
  animation: hideUp;
  animation-duration: 0.4s;
  animation-fill-mode: forwards;
}
#menu[aria-expanded="true"] + nav {
  animation: showDown;
  animation-duration: 0.4s;
  animation-fill-mode: forwards;
}
#menu[aria-expanded="true"] .icon span:nth-child(1) {
  transform: rotate(45deg) translateY(3px);
}
#menu[aria-expanded="true"] .icon span:nth-child(2) {
  display: none;
}
#menu[aria-expanded="true"] .icon span:nth-child(3) {
  transform: rotate(-45deg) translateY(-3px);
}
.content .active {
  text-decoration: underline;
}
.logo {
  font-family: Inkfree;
  font-size: 2rem;
  padding-left: 0.5rem;
}
.icon span {
  display: block;
  background: var(--primary);
  margin: 0.2rem;
  width: 1.2rem;
  height: 2px;
  border-radius: 0.2rem;
  transition: 0.5s ease;
}
nav li + li {
  margin-top: 0.5rem;
}
nav {
  width: 100%;
  position: relative;
}
.border-box {
  border: 0.1rem solid var(--bg);
  border-radius: 2rem;
}

/*MAIN*/
main {
  max-width: 120rem;
  margin: 0 5vw;
}

/* FOOTER */
footer {
  display: flex;
  justify-content: center;
  color: var(--primary);
  background: var(--bg);
  padding: 1rem;
}
footer ul {
  list-style: none;
  display: flex;
  justify-content: space-between;
}
footer ul li a {
  list-style: none;
  text-decoration: none;
  display: flex;
  justify-content: space-between;
  margin-right: 2rem;
  color: var(--primary);
}

/* BREAKPOINTS */
@media (min-width: 46.875em) {
  .hidden {
    display: block;
  }
  #menu {
    display: none;
  }
  #menu[aria-expanded="false"] + nav {
    animation: none;
  }
  .content {
    grid-template-columns: 1fr 1.3fr;
    align-items: center;
  }
  .content ul {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
  }
  .logo {
    padding-left: 2.5rem;
  }
  nav li + li {
    margin-top: 0;
  }
}

@media (min-width: 75em) {
  .content {
    grid-template-columns: 2fr 1.3fr;
  }
  .logo {
    padding-left: 4rem;
  }
  nav li a {
    font-size: 1.2rem;
  }
}

/*animations*/
@keyframes showDown {
  0% {
    margin-top: -150%;
    opacity: 0;
    left: -100%;
    visibility: visible;
  }
  60% {
    margin-top: 0;
    opacity: 0;
    left: -100%;
  }
  100% {
    opacity: 1;
    left: 0;
  }
}

@keyframes hideUp {
  0% {
    opacity: 1;
    margin-top: 0;
  }
  40% {
    opacity: 0;
    margin-top: 0;
  }
  100% {
    margin-top: -150%;
    visibility: hidden;
  }
}
